---
search:
  tags:
    - Shareable Links
    - GET
seo:
  description: >-
    Retrieves media items… Reference for the GET
    /api/v1/{app_id}/shareable-links/{token}/folder/{folder_id}/media endpoint
    in the Digital Assets Management API.
sidebar:
  label: Get Shareable Link Folder Media
  badge: GET
title: Get Shareable Link Folder Media
type: openapi-operation
---
Retrieves media items from a specific folder that belongs to a shareable link with pagination, filtering, and sorting

`GET /api/v1/{app_id}/shareable-links/{token}/folder/{folder_id}/media`

**Responses**

- `200` — Folder media retrieved successfully
- `400` — Invalid request
- `404` — Shareable link or folder not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "alt_text": "string",
      "attributes": [
        {
          "description": "string",
          "id": "string",
          "key": "string",
          "name": "string",
          "values": {
            "property1": [
              {
                "type": "string",
                "value": "string"
              }
            ],
            "property2": [
              {
                "type": "string",
                "value": "string"
              }
            ]
          }
        }
      ],
      "blurhash": "string",
      "copyright": "string",
      "created_at": "string",
      "custom": [
        0
      ],
      "description": "string",
      "file_type": "string",
      "folder": {
        "id": "string",
        "name": "string",
        "public": true,
        "slug": "string"
      },
      "id": "string",
      "status": "string",
      "title": "string",
      "translations": {
        "alt": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "description": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "title": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "type": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "type": "string",
      "updated_at": "string",
      "url": "string",
      "variants": [
        {
          "created_at": "string",
          "format": "string",
          "height": 0,
          "id": "string",
          "updated_at": "string",
          "url": "string",
          "width": 0
        }
      ]
    }
  ],
  "pagination": {
    "page": 0,
    "per_page": 0,
    "total_items": 0,
    "total_pages": 0
  },
  "success": true
}
```
